> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/oauth-client-management/client-management.md).

# Client Management

Manage registered clients.

## Read client registration

> Read the current client registration data stored by Collibra.

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"tags":[{"name":"Client Management","description":"Manage registered clients."}],"servers":[{"url":"/rest/auth/v1"},{"url":"/rest/auth/v1/platform"}],"paths":{"/clients/{client_id}":{"get":{"operationId":"getClient","summary":"Read client registration","description":"Read the current client registration data stored by Collibra.","tags":["Client Management"],"parameters":[{"$ref":"#/components/parameters/client_id"}],"responses":{"200":{"description":"Client data retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientInformation"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"description":"Not authorized to retrieve the requested client data."}}}}},"components":{"parameters":{"client_id":{"name":"client_id","description":"Client identifier generated by Collibra when the client was registered.","in":"path","required":true,"schema":{"type":"string"}}},"schemas":{"ClientInformation":{"type":"object","description":"Contains all data known for a registered client.","allOf":[{"$ref":"#/components/schemas/ClientReadOnlyInformation"},{"$ref":"#/components/schemas/ClientWriteableInformation"}]},"ClientReadOnlyInformation":{"type":"object","properties":{"client_id":{"type":"string","description":"Technical client identifier returned by the Authorization Server when the client is registered."},"client_id_issued_at":{"type":"integer","format":"int64","description":"Time at which the client identifier was issued.\n\nThe time is represented as the number of seconds from\n1970-01-01T00:00:00Z as measured in UTC until the date/time of\nissuance."}}},"ClientWriteableInformation":{"type":"object","properties":{"client_name":{"type":"string","description":"Descriptive name of the client.\n\nTwo different clients cannot have the same name.\n\nThis should be a name that reveals the purpose of the client.\n"},"grant_types":{"type":"array","items":{"type":"string"},"description":"Authorization grants that the client is allowed to use."},"redirect_uris":{"type":"array","items":{"type":"string","format":"uri"},"description":"Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type."}}}},"responses":{"401":{"description":"This client doesn't exist on this server, or the provided access token is invalid","headers":{"WWW-Authenticate":{"description":"The registration access token used to make this request is not valid or doesn't exist","schema":{"properties":{"error":{"type":"string"},"error_description":{"type":"string"}}}}}}}}}
```

## Update client registration

> Updates a registered client.

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"tags":[{"name":"Client Management","description":"Manage registered clients."}],"servers":[{"url":"/rest/auth/v1"},{"url":"/rest/auth/v1/platform"}],"paths":{"/clients/{client_id}":{"put":{"operationId":"updateClient","summary":"Update client registration","description":"Updates a registered client.","tags":["Client Management"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateClient"}}}},"parameters":[{"$ref":"#/components/parameters/client_id"}],"responses":{"200":{"description":"Client updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientRegistration"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"description":"The provided client is not allowed to update this record."}}}}},"components":{"schemas":{"UpdateClient":{"type":"object","description":"Request to update registered client data.","allOf":[{"$ref":"#/components/schemas/ClientWriteableInformation"}],"required":["client_name"]},"ClientWriteableInformation":{"type":"object","properties":{"client_name":{"type":"string","description":"Descriptive name of the client.\n\nTwo different clients cannot have the same name.\n\nThis should be a name that reveals the purpose of the client.\n"},"grant_types":{"type":"array","items":{"type":"string"},"description":"Authorization grants that the client is allowed to use."},"redirect_uris":{"type":"array","items":{"type":"string","format":"uri"},"description":"Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type."}}},"ClientRegistration":{"allOf":[{"$ref":"#/components/schemas/ClientInformation"}],"type":"object","description":"Data associated to the registered client.\n\nThe client secret returned in this response cannot be read through any API call.\nThus you should store the client secret returned in this response.\n","properties":{"client_secret":{"type":"string","format":"password","description":"Secret generated by Collibra for the registered client."}}},"ClientInformation":{"type":"object","description":"Contains all data known for a registered client.","allOf":[{"$ref":"#/components/schemas/ClientReadOnlyInformation"},{"$ref":"#/components/schemas/ClientWriteableInformation"}]},"ClientReadOnlyInformation":{"type":"object","properties":{"client_id":{"type":"string","description":"Technical client identifier returned by the Authorization Server when the client is registered."},"client_id_issued_at":{"type":"integer","format":"int64","description":"Time at which the client identifier was issued.\n\nThe time is represented as the number of seconds from\n1970-01-01T00:00:00Z as measured in UTC until the date/time of\nissuance."}}}},"parameters":{"client_id":{"name":"client_id","description":"Client identifier generated by Collibra when the client was registered.","in":"path","required":true,"schema":{"type":"string"}}},"responses":{"401":{"description":"This client doesn't exist on this server, or the provided access token is invalid","headers":{"WWW-Authenticate":{"description":"The registration access token used to make this request is not valid or doesn't exist","schema":{"properties":{"error":{"type":"string"},"error_description":{"type":"string"}}}}}}}}}
```

## Delete client registration

> Deletes a registered client.\
> \
> A successful delete action will invalidate the \`client\_id\` and\
> \`client\_secret\` for this client, meaning the client will no longer be able\
> to authenticate with those credentials.

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"tags":[{"name":"Client Management","description":"Manage registered clients."}],"servers":[{"url":"/rest/auth/v1"},{"url":"/rest/auth/v1/platform"}],"paths":{"/clients/{client_id}":{"delete":{"operationId":"deleteClient","summary":"Delete client registration","description":"Deletes a registered client.\n\nA successful delete action will invalidate the `client_id` and\n`client_secret` for this client, meaning the client will no longer be able\nto authenticate with those credentials.","tags":["Client Management"],"parameters":[{"$ref":"#/components/parameters/client_id"}],"responses":{"204":{"description":"Client registration deleted successfully."},"401":{"$ref":"#/components/responses/401"},"403":{"description":"The provided client is not allowed to delete this record."}}}}},"components":{"parameters":{"client_id":{"name":"client_id","description":"Client identifier generated by Collibra when the client was registered.","in":"path","required":true,"schema":{"type":"string"}}},"responses":{"401":{"description":"This client doesn't exist on this server, or the provided access token is invalid","headers":{"WWW-Authenticate":{"description":"The registration access token used to make this request is not valid or doesn't exist","schema":{"properties":{"error":{"type":"string"},"error_description":{"type":"string"}}}}}}}}}
```
